%global		priority	68
%global		fontname	ipa-ex-gothic
%global		fontconf	%{priority}-%{fontname}.conf
%global		archiveversion	00201
%global		archivename	ipaexg%{archiveversion}

Name:		%{fontname}-fonts
Version:	002.01
Release:	12%{?dist}
Summary:	Japanese Gothic-typeface OpenType font by IPA

Group:		User Interface/X
License:	IPA
URL:		http://ossipedia.ipa.go.jp/ipafont/
Source0:	http://info.openlab.ipa.go.jp/ipafont/fontdata/%{archivename}.zip
Source1:	%{name}-fontconfig.conf
Source2:	%{fontname}.metainfo.xml

BuildArch:	noarch
BuildRequires:	fontpackages-devel
Requires:	fontpackages-filesystem

%description
IPAex Font is a Japanese OpenType fonts that is JIS X 0213:2004
compliant, provided by Information-technology Promotion Agency, Japan.

This package contains Gothic (sans-serif) style font.

%prep
%setup -q -n %{archivename}
iconv -f sjis -t utf-8 Readme_%{archivename}.txt > Readme_%{archivename}.utf8.txt
touch -r Readme_%{archivename}.txt Readme_%{archivename}.utf8.txt

%build

%install
install -m 0755 -d $RPM_BUILD_ROOT%{_fontdir}
install -m 0644 -p *.ttf $RPM_BUILD_ROOT%{_fontdir}

install -m 0755 -d	$RPM_BUILD_ROOT%{_fontconfig_templatedir}	\
			$RPM_BUILD_ROOT%{_fontconfig_confdir}
install -m 0644 -p	%{SOURCE1}	\
			$RPM_BUILD_ROOT%{_fontconfig_templatedir}/%{fontconf}

install -m 0755 -d $RPM_BUILD_ROOT%{_datadir}/appdata
install -m 0644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/appdata

ln -s	%{_fontconfig_templatedir}/%{fontconf}	\
	$RPM_BUILD_ROOT%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf

%doc Readme_%{archivename}.utf8.txt
%license IPA_Font_License_Agreement_v1.0.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 002.01-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 002.01-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 22 2018 Akira TAGOH <tagoh@redhat.com> - 002.01-10
- Update the priority to change the default font to Noto.

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 002.01-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 002.01-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 002.01-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 002.01-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 20 2015 Akira TAGOH <tagoh@redhat.com> - 002.01-5
- Add metainfo file.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 002.01-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 002.01-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 002.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 23 2012 Akira TAGOH <tagoh@redhat.com>
- the spec file cleanup

* Fri Nov  9 2012 Akira TAGOH <tagoh@redhat.com> - 002.01-1
- New upstream release.

* Fri Aug 17 2012 Akira TAGOH <tagoh@redhat.com> - 001.02-6
- Enable autohinting explicitly since it looks somewhat better.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 001.02-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul  4 2012 Akira TAGOH <tagoh@redhat.com> - 001.02-4
- Correct fontconfig file (#837527)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 001.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 001.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri May 28 2010 Akira TAGOH <tagoh@redhat.com> - 001.02-1
- New upstream release.

* Mon May 17 2010 Akira TAGOH <tagoh@redhat.com> - 001.01-3
- Add ja to check the locale.
- move iconv into %%prep.

* Tue Apr 20 2010 Akira TAGOH <tagoh@redhat.com> - 001.01-2
- Convert the document to utf-8.
- Get rid of binding="same" from the fontconfig config file.

* Mon Mar  1 2010 Akira TAGOH <tagoh@redhat.com> - 001.01-1
- Initial package.

